﻿using System.Collections.Generic;
using System.Linq;

namespace Correo.Abstractions.Extensions
{
    public static class ModelExtensions
    {
        private static string Log(this IEnumerable<EmailMessage.MailAddress> addresses)
            => addresses != null ? string.Join(',', addresses.Select(z => z.Address)) : string.Empty;

        public static string Log(this EmailMessage message)
            => $"Email sent: Subject: {message.Subject}; From: {message.From.Address}; To: {message.To.Log()}; Cc: {message.Cc.Log()}; Bcc: {message.Bcc.Log()};";
    }
}
